replace-megaparsec-1.5.0.1: Find, replace, split string patterns with Megaparsec parsers (instead of regex)

Copyright | ©2019 James Brock
License | BSD2
Maintainer | James Brock <jamesbrock@gmail.com>
Safe Haskell | None
Language | Haskell2010

Replace.Megaparsec.Internal.Text

Contents

- Parser combinator

Description

This internal module is for `Text` specializations.

The functions in this module are intended to be chosen automatically by rewrite rules in the Replace.Megaparsec module, so you should never need to import this module.

Names in this module may change without a major version increment.

Synopsis

- sepCapText :: (MonadParsec e s m, s ~ Text) => m a -> m [Either (Tokens s) a]
- anyTillText :: (MonadParsec e s m, s ~ Text) => m a -> m (Tokens s, a)

# Parser combinator

sepCapText Source #

Arguments

:: (MonadParsec e s m, s ~ Text) |
=> m a | The pattern matching parser `sep`
-> m [Either (Tokens s) a] |

anyTillText Source #

Arguments

:: (MonadParsec e s m, s ~ Text) |
=> m a | The pattern matching parser `sep`
-> m (Tokens s, a) |